Subject: 25.0.50; ElDoc is displayed whether eldoc-mode is enabled or not

From: Dmitry Gutov <[email-masked]>
Date: Fri, 13 Feb 2015 13:56:32 +0200

1. emacs -Q
2. M-: eldoc-mode => nil
3. Type (defun |), see the function signature in the echo area.
4. M-x eldoc-mode makes no difference either way.

In GNU Emacs 25.0.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2015-02-07 on axl
Repository revision: 7eb2077f9dd14ae9d70a12c621151afd50ea6e96
Windowing system distributor `The X.Org Foundation', version 11.0.11601901
System Description:	Ubuntu 14.10